Get Token by ID

Get Token By ID.

This method will use 20 Compute Units.


Get token by id

get

Returns token entity information given the id

Path parameters
tokenIdstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Query parameters
timestampstringOptionalExample: {"summary":"--","value":""}Pattern: ^((eq|lt|lte):)?\d{1,10}(.\d{1,9})?$
Responses
chevron-right
200

OK

application/json
auto_renew_accountstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
auto_renew_periodinteger · int64 · nullableOptional
created_timestampstringOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
decimalsstringOptionalExample: 1000
deletedboolean · nullableOptionalExample: true
expiry_timestampinteger · int64 · nullableOptionalExample: 1234567890100000
freeze_defaultbooleanOptionalExample: false
initial_supplystringOptionalExample: 1000000
max_supplystringOptionalExample: 9223372036854775807
modified_timestampstringOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
namestringOptionalExample: Token name
memostringOptionalExample: token memo
pause_statusstring · enumOptionalExample: UNPAUSEDPossible values:
supply_typestring · enumOptionalExample: INFINITEPossible values:
symbolstringOptionalExample: ORIGINALRDKSE
token_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
total_supplystringOptionalExample: 1000000
treasury_account_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
typestring · enumOptionalExample: FUNGIBLE_COMMONPossible values:
get
/api/v1/tokens/{tokenId}

Last updated

Was this helpful?